Page MenuHomePhabricator

[Task] Suggesters should show a "nothing found" message
Closed, ResolvedPublic

Description

All suggesters (properties, items, units and so on) should show a single "nothing found" error message instead of disappearing completely. This is crucial to make it much more obvious to the user what's happening right now. Otherwise literally nothing happens and the "save" button does not become enabled.

Some suggesters already have a "more" button on the bottom. The design of the error message should probably be similar to that.

Event Timeline

Restricted Application added subscribers: Zppix, Aklapper. · View Herald TranscriptJul 12 2016, 1:17 PM
thiemowmde triaged this task as Normal priority.Jul 12 2016, 1:17 PM
thiemowmde moved this task from incoming to consider for next sprint on the Wikidata board.
Jonas moved this task from Backlog to Doing on the Wikidata-Sprint-2016-07-19 board.

Would also make it easier to make a gadget for T107693.

Change 299964 had a related patch set uploaded (by Jonas Kress (WMDE)):
[WIP] Show a "nothing found" message in EntitySelector

https://gerrit.wikimedia.org/r/299964

Change 299964 merged by jenkins-bot:
Show a "nothing found" message in EntitySelector

https://gerrit.wikimedia.org/r/299964

Jonas closed this task as Resolved.Jul 27 2016, 3:55 PM
Jonas moved this task from Review to Done on the Wikidata-Sprint-2016-07-19 board.